summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Nishant Limbachia2010-05-11 22:53:22 +0200
committer David Somero2010-05-11 22:53:22 +0200
commit999b6f5aa82b00c56b7834c8aba3006e66aad1eb (patch)
treee0f08e042c28b60735a121de9bcccbd2ac0b94b6 /desktop
parent8428eab3d49cc21c83acfae5fe475bfe7db96b62 (diff)
downloadslackbuilds-999b6f5aa82b00c56b7834c8aba3006e66aad1eb.tar.gz
desktop/krypt: Added to 12.1 repository
Diffstat (limited to 'desktop')
-rw-r--r--desktop/krypt/README10
-rw-r--r--desktop/krypt/krypt.SlackBuild102
-rw-r--r--desktop/krypt/krypt.info8
-rw-r--r--desktop/krypt/slack-desc11
4 files changed, 131 insertions, 0 deletions
diff --git a/desktop/krypt/README b/desktop/krypt/README
new file mode 100644
index 0000000000..a7f17951f9
--- /dev/null
+++ b/desktop/krypt/README
@@ -0,0 +1,10 @@
+Krypt is a simple application that sits in the tray, and provides easy access
+to the list of volumes encrypted with LUKS.
+It has following features:
+ 1. Quickly decrypt and encrypt devices
+ 2. Mount and umount encrypted devices
+ 3. List of devices to ignore
+ 4. Storing volume passwords in KDE Wallet
+ 5. Detailed per-volume configuration
+
+Required dependencies: Qt >=3.3 (not Qt4) KDE 3.5 DBus >= 0.90 HAL >= 0.5.9
diff --git a/desktop/krypt/krypt.SlackBuild b/desktop/krypt/krypt.SlackBuild
new file mode 100644
index 0000000000..1bf832f6da
--- /dev/null
+++ b/desktop/krypt/krypt.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+#################################################################################
+
+# Slackware Package Build Script for krypt
+
+# Home Page http://krypt.berlios.de/
+
+# Copyright (c) 2007, Nishant Limbachia (nishant@mnspace.net)
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+#################################################################################
+
+PRGNAM=krypt
+VERSION=0.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+
+TAG=${TAG:-_SBo}
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+CWD=$(pwd)
+
+set -e
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+### clean up from previous builds
+
+rm -fr $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+### Extracting the source tarballs
+
+cd $TMP
+tar xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $TMP/$PRGNAM-$VERSION
+
+chown -R root.root .
+
+find . \
+\( -perm 664 -o -perm 666 -o -perm 600 -o -perm 440 -o -perm 444 -o -perm 400 \) \
+-exec chmod 644 {} \;
+
+find . \
+\( -perm 777 -o -perm 755 -o -perm 711 -o -perm 700 -o -perm 555 -o -perm 511 -o -perm 500 \) \
+-exec chmod 755 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure --prefix=/usr \
+--exec-prefix=/usr \
+--sysconfdir=/etc \
+--localstatedir=/var \
+--mandir=/usr/man \
+--infodir=/usr/info
+
+make
+make install DESTDIR=$PKG
+
+### copying essential doc files
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS \
+README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+### building package
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/krypt/krypt.info b/desktop/krypt/krypt.info
new file mode 100644
index 0000000000..3af91fbdfe
--- /dev/null
+++ b/desktop/krypt/krypt.info
@@ -0,0 +1,8 @@
+PRGNAM="krypt"
+VERSION="0.2"
+HOMEPAGE="http://krypt.berlios.de/"
+DOWNLOAD="http://download.berlios.de/krypt/krypt-0.2.tar.bz2"
+MD5SUM="9aba54a109ce09e0879d30ce93a4a134"
+MAINTAINER="Nishant Limbachia"
+EMAIL="nishant@mnspace.net"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/desktop/krypt/slack-desc b/desktop/krypt/slack-desc
new file mode 100644
index 0000000000..4d25789f1a
--- /dev/null
+++ b/desktop/krypt/slack-desc
@@ -0,0 +1,11 @@
+krypt: Krypt (KDE GUI to manage encrypted disk volumes)
+krypt:
+krypt: Krypt is a simple application that sits in the tray, and
+krypt: provides easy access to the list of volumes encrypted
+krypt: with LUKS. It is possible to quickly decrypt, encrypt back,
+krypt: mount and umount such devices. For a detailed info on
+krypt: features, please visit the project website
+krypt:
+krypt: Home Page http://krypt.berlios.de
+krypt:
+krypt: